#include <stdio.h>
#include "mpi.h"

int main(int argc, char** argv)
{
   int my_rank;  /* Rank of process */
   int p;        /* Number of processes */

   int namelen;
   char processor_name[MPI_MAX_PROCESSOR_NAME];

   MPI_Init(&argc, &argv);
   MPI_Comm_size(MPI_COMM_WORLD, &p);
   MPI_Comm_rank(MPI_COMM_WORLD, &my_rank);
   MPI_Get_processor_name(processor_name, &namelen);

   printf("Hello World! I'm rank %d of %d on %s\n", my_rank, p, processor_name);

   MPI_Finalize();
   return 0;
}